Get lifecycle policies

  • GET /_ilm/policy/{policy}
  • GET /_ilm/policy
Auth

Required privileges

Cluster privileges manage_ilm read_ilm

Path parameters

policy string optional

Identifier for the policy.

Leave it out to use /_ilm/policy.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json